
package com.gyee.frame.model.custom;

import com.gyee.frame.common.spring.Constant;

import java.util.Date;




public class ShutdowneventVo {
	
	private String id;
	private String windPowerStationId;
	private String wpName;
	private String windTurbineId;
	private String wtName;
	private Date stopTime;
	private Date startTime;
	private Double stopHours;
	private Double lossPower;
	private String stopTypeId;
	private String stopTypeName;
	private Boolean isHandle;
	private String warningId;
	private String warnDesc;
	private String projectid;
	private String projectName;
	private String handleWay;
	private String faultView;
	private String stopTime2;
	private String startTime2;
	private Integer statusCode;
	private String modelId;
	private String modelCode;
	private String taskStatus;
	
	
	public String getTaskStatus() {
		return taskStatus;
	}
	public void setTaskStatus(String taskStatus) {
		this.taskStatus = taskStatus;
	}
	public String getModelId() {
    	return modelId;
    }
	public void setModelId(String modelId) {
    	this.modelId = modelId;
    }
	public String getModelCode() {
    	return modelCode;
    }
	public void setModelCode(String modelCode) {
    	this.modelCode = modelCode;
    }

	public String getId() {
    	return id;
    }
	public void setId(String id) {
    	this.id = id;
    }
	public String getWindPowerStationId() {
		return windPowerStationId;
	}
	public void setWindPowerStationId(String windPowerStationId) {
		this.windPowerStationId = windPowerStationId;
	}
	public String getWpName() {
		return wpName;
	}
	public void setWpName(String wpName) {
		this.wpName = wpName;
	}
	public String getWindTurbineId() {
		return windTurbineId;
	}
	public void setWindTurbineId(String windTurbineId) {
		this.windTurbineId = windTurbineId;
	}
	public String getWtName() {
		return wtName;
	}
	public void setWtName(String wtName) {
		this.wtName = wtName;
	}
	public Date getStopTime() {
		return stopTime;
	}
	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public Double getStopHours() {
		return stopHours;
	}
	public void setStopHours(Double stopHours) {
		this.stopHours = stopHours;
	}
	public Double getLossPower() {
		return lossPower;
	}
	public void setLossPower(Double lossPower) {
		this.lossPower = lossPower;
	}
	public String getStopTypeId() {
		return stopTypeId;
	}
	public void setStopTypeId(String stopTypeId) {
		this.stopTypeId = stopTypeId;
	}
	public Boolean getIsHandle() {
		return isHandle;
	}
	public void setIsHandle(Boolean isHandle) {
		this.isHandle = isHandle;
	}
	public String getWarningId() {
		return warningId;
	}
	public void setWarningId(String warningId) {
		this.warningId = warningId;
	}
	public String getWarnDesc() {
		return warnDesc;
	}
	public void setWarnDesc(String warnDesc) {
		this.warnDesc = warnDesc;
	}
	public String getProjectid() {
		return projectid;
	}
	public void setProjectid(String projectid) {
		this.projectid = projectid;
	}
	public String getProjectName() {
		return projectName;
	}
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	public String getStopTypeName() {
		return stopTypeName;
	}
	public void setStopTypeName(String stopTypeName) {
		this.stopTypeName = stopTypeName;
	}
	public String getHandleWay() {
		return handleWay;
	}
	public void setHandleWay(String handleWay) {
		this.handleWay = handleWay;
	}
	public String getFaultView() {
		return faultView;
	}
	public void setFaultView(String faultView) {
		this.faultView = faultView;
	}
	public String getStopTime2() {
		return stopTime2;
	}
	public void setStopTime2(String stopTime2) {
		this.stopTime2 = stopTime2;
	}
	public String getStartTime2() {
		return startTime2;
	}
	public void setStartTime2(String startTime2) {
		this.startTime2 = startTime2;
	}
	public Integer getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}
	public String getStatusName(){
		String result = null;
		if(statusCode != null){
			if(statusCode==2){
				result = Constant.FAULT_NAME;
			}else if(statusCode==4){
				result = Constant.MAINTENANCE_NAME;
			}
		}
		return result;
	}
	
}	
